Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.alignment.event
Class AlignmentListenerSupport

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.alignment.event.AlignmentListenerSupport

public class AlignmentListenerSupport
extends Object

AlignmentListenerSupport.java This class provides support and handles the listeners to a multiple seqyence alignment.

Version:
  $Id: AlignmentListenerSupport.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley
See Also:
  `Created: Thu Feb 17 14:57:37 2000`

Constructor Summary
`AlignmentListenerSupport()`

Method Summary
`void` | `addAlignmentListener(AlignmentListener listener)` Adds a alignment listener to a Vector of listeners.
`void` | `addVetoableAlignmentListener(VetoableAlignmentListener listener)` Adds a vetoable alignment listener to the Vector of vetoable listeners.
`void` | `fireAlignmentEvent(AlignmentEvent event)` This function fires the MSA event to all the interested listeners, and also signals the vetoable listeners, which are stored separately.
`void` | `fireVetoableAlignmentEvent(VetoableAlignmentEvent event)` Notifies the vetoable listeners of a MSA vetoable event.
`void` | `removeAlignmentListener(AlignmentListener listener)` Removes a listener from the Vector.
`void` | `removeVetoableAlignmentListener(VetoableAlignmentListener listener)` Removes a vetoable alignment listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlignmentListenerSupport

    public AlignmentListenerSupport()

Method Detail

### fireAlignmentEvent

    public void fireAlignmentEvent(AlignmentEvent event)

  This function fires the MSA event to all the interested listeners, and also signals the vetoable listeners, which are stored separately. This is because the VetoableMultipleSequenceListener interface extends the MultipleSequenceListener interface.

  Parameters:
    `event` - the multiple sequence event
  See Also:
    `VetoableAlignmentListener`, `AlignmentListener`

### fireVetoableAlignmentEvent

    public void fireVetoableAlignmentEvent(VetoableAlignmentEvent event)
                                    throws AlignmentVetoException

  Notifies the vetoable listeners of a MSA vetoable event.

  Parameters:
    `event` - the vetoable multiple sequence event
    `AlignmentVetoException`

### addAlignmentListener

    public void addAlignmentListener(AlignmentListener listener)

  Adds a alignment listener to a Vector of listeners.

  Parameters:
    `listener` - the listener to be added

### removeAlignmentListener

    public void removeAlignmentListener(AlignmentListener listener)

  Removes a listener from the Vector.

  Parameters:
    `listener` - the listener to be removed

### addVetoableAlignmentListener

    public void addVetoableAlignmentListener(VetoableAlignmentListener listener)

  Adds a vetoable alignment listener to the Vector of vetoable listeners.

  Parameters:
    `listener` - the vetoable listener to be added.

### removeVetoableAlignmentListener

    public void removeVetoableAlignmentListener(VetoableAlignmentListener listener)

  Removes a vetoable alignment listener.

  Parameters:
    `listener` - the listener to be removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD